curl --request DELETE \
--url https://api.instantly.ai/api/v2/lead-lists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-lists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/lead-lists/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a16b40-80b0-71a7-941f-a77314ee6b4e",
"organization_id": "01a16b40-80b0-71a7-941f-a77409619788",
"name": "My Lead List",
"timestamp_created": "2026-10-24T00:12:31.792Z",
"has_enrichment_task": false,
"owned_by": "01a16b40-80b0-71a7-941f-a7755bc549c8",
"background_job_id": "6650f1c2a8b4e3d2c1f0a9b8"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Delete lead list
Requires one of the following scopes: lead_lists:delete, lead_lists:all, all:delete, all:all
curl --request DELETE \
--url https://api.instantly.ai/api/v2/lead-lists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-lists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/lead-lists/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a16b40-80b0-71a7-941f-a77314ee6b4e",
"organization_id": "01a16b40-80b0-71a7-941f-a77409619788",
"name": "My Lead List",
"timestamp_created": "2026-10-24T00:12:31.792Z",
"has_enrichment_task": false,
"owned_by": "01a16b40-80b0-71a7-941f-a7755bc549c8",
"background_job_id": "6650f1c2a8b4e3d2c1f0a9b8"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item to delete
"01a16b40-d33f-781c-9e19-b266a7fea8d3"
Response
The deleted Lead List
A list used to store leads
Unique identifier for the lead list
"01a16b40-80b0-71a7-941f-a77314ee6b4e"
Organization ID that owns this lead list
"01a16b40-80b0-71a7-941f-a77409619788"
Name of the lead list
"My Lead List"
Timestamp when the lead list was created
"2026-10-24T00:12:31.792Z"
Whether this list runs the enrichment process on every added lead or not
false
User ID of the owner of this lead list. Defaults to the user that created the list
"01a16b40-80b0-71a7-941f-a7755bc549c8"
Set when more than 1,000 leads are deleted: a background job does the delete. Check its progress with GET /background-jobs/:id.
"6650f1c2a8b4e3d2c1f0a9b8"